> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add currency



## OpenAPI

````yaml Wallet post /currencies
openapi: 3.0.1
info:
  title: Wallet
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/wallet/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /currencies:
    post:
      operationId: postCurrencies
      parameters:
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: token
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CurrenciesRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    CurrenciesRequest:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        decimal:
          type: integer
          format: int64
        max_value:
          type: integer
          format: int64
        aliases:
          type: array
          items:
            $ref: '#/components/schemas/CurrencyAliasesItem'
        blockchain:
          $ref: '#/components/schemas/CurrencyBlockchain'
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    CurrencyAliasesItem:
      type: object
      properties:
        name:
          type: string
        shortname:
          type: string
        scale:
          type: integer
          format: int64
        sign:
          type: string
        picture:
          type: string
        default:
          type: boolean
        ownerId:
          type: string
    CurrencyBlockchain:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        users:
          type: string
        walletTypes:
          type: string
        definition:
          $ref: '#/components/schemas/CurrencyDefinition'
    CurrencyDefinition:
      type: object
      properties:
        ownerId:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/DataItem'
    DataItem:
      type: object
      properties:
        ownerId:
          type: string
        name:
          type: string
        type:
          type: integer
          format: int64
        value:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````